package com.ruoyi.web.controller.manager;

import com.ruoyi.system.domain.FsChannelRecord;
import com.ruoyi.system.domain.FsChannelRecordVo;
import com.ruoyi.system.service.FsChannelRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * packageName com.ruoyi.web.controller.manager
 *
 * @author wangxy
 * @version JDK 8
 * @className FsChannelRecordManager
 * @date 2024/4/7
 * @description 通话查询
 */
@Component
public class FsChannelRecordManager {


    @Autowired
    private FsChannelRecordService recordService;



    public List<FsChannelRecordVo> selectFsChannelRecordList(FsChannelRecord record)
    {
        record.setChannelType(1);
        return recordService.selectFsChannelRecordList(record);
    }


    public List<FsChannelRecordVo> selectOutboundList(FsChannelRecord record)
    {
        record.setChannelType(3);
        return recordService.selectFsChannelRecordList(record);
    }


    public List<FsChannelRecordVo> selectTotalCallsList(FsChannelRecord record)
    {
        return recordService.selectFsChannelRecordList(record);
    }








}
